Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08288 DIP/Input Minor Always Apr 7, 2022, 06:56 Apr 17, 2022, 14:06
Tester CYBERYOGI -CO-Windler View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10/11 (64-bit)
Status [?] Acknowledged Driver namcos11.cpp
Version 0.242 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08288: pocketrc: steering is broken! (does not go straight =>needs PWM signal?)
Description The steering in "Pocket Racer" is severely broken. It stays either left or right but never goes straight ahead. You can also see this in the depicted steering wheel on the initial track/car select menu. The car is uncontrollable and keeps bouncing between left and right crash barrier like inside a bobsled run. The only method of driving straight forward feels like a "Decathlon" marathon by wiggling the mouse many times per second left and right until your wrist falls off.

So bug #00596 may be still not fixed properly.

The game works, but feels like one of those terrible old toy cars with cable remote control, where there was a single button steering to switch the direction between circling left and circling right, i.e. the only chance of going straight is to rapidly push the button.

I conclude that the software expects a kind of PWM signal that does exactly that. I.e. it needs to be fed with a slow squarewave frequency that sends alternatingly "left" & "right" pulses. When the wheel is centered, the duty cycle is 1:1. The more it turns left, the longer becomes the "left" pulse duty cycle relative to the "right". The more it turns right, the longer becomes the "right" pulse part. To me this even feels like a hack to add analogue steering to a game that was originally programmed for a digital joystick (like a retrofit steering wheel adapter for Atari joystick games on homecomputers).

Fixing the self test menu lockup may help to identify which type of signal (or calibration?) it really expects.
Steps To Reproduce Try to play without constantly crashing the car into left & right boundary - you can't.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems pocketrc
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.20064
Tafoid
Administrator
Apr 15, 2022, 18:53
I'll agree with the keyboard controls it ride a bit like you describe with a fair bit of bumping. I didn't jump into the analog controls to see if this can be improved or not (I'd guess it could be), but it plainly is turning how you want and isn't reacting 100% as you'd expect a real car to respond. Very possible the original arcade had a similar feel you had to work through since, again, these are RC Cars.

I'd suggest you play with the analog controls option (in TAB menu) and see if you can find a sweet spot.
User avatar
No.20068
CYBERYOGI -CO-Windler
Viewer
Apr 16, 2022, 07:25
edited on: Apr 16, 2022, 07:25
I have tried the whole range of analogue sensitivity settings but there is no sweet spot. The steering toggles between fully left and fully right with no straight position in between, so it is unplayable. The only way to make the car go straight at all is wiggling the mouse left and right like mad until my wrist falls off. (I do not compare it with a real car; behaving e.g. like a simple VCS2600 car race with digital joystick would be enough.) Fix the test mode and check the I/O(?) menu to see the analogue value interpretation by the game.
User avatar
No.20079
hap
Developer
Apr 17, 2022, 14:06
I don't think it's anything buzzword related. The car doesn't automatically go straight on the road when you center the steering wheel, that's just the way the game is. It's common with 2D racing games, but not the Ridge Racer games. It's the same on namcos22 ridgerac. I can't be bothered to try Ridge Racer Revolution on playstation, but I assume it's the same there too.

Try again after https://github.com/mamedev/mame/commit/22f535212ce3b969434f91c39ad46c4cacdb7fc7 - keyboard controls are more responsive.